<ion-loading>

</ion-loading>

<ion-content class="background" id="main-content" overflow-scroll=”false” >

  <app-menu></app-menu>

  <ion-refresher slot="fixed" (ionRefresh)="doRefresh($event)" style="z-index: 100;">
    <ion-refresher-content></ion-refresher-content>
  </ion-refresher>
  <div class="content">

    <!-- *ngIf="loadingError === true; -->

    <ion-list class="no-background">

      <div
        style="margin-top: -10px;   background-size: cover;  background-repeat: no-repeat;
              background-position: center;background-image: url('../../assets/images/background2.jpg');">
        <div style="margin-top: 10px;filter: invert(100%) sepia(100%) saturate(0%) hue-rotate(105deg) brightness(100%) contrast(104%);">
          <img width="400px" style="padding: 50px 50px 50px 10px" src="../../assets/images/westandtogether.svg"/>
        </div>
      </div>
      <div
        style="padding: 10px;background-color:#fddd3a;z-index: 999;margin-top: -30px;margin-bottom: 50px; width: 10px;position: relative;margin-left: 80%;">
      </div>

      <ion-card class="card">
        <h1 style="font-size: 2.5rem;margin-left: 6%;">{{projectstitle}}</h1>
        <ion-buttons style="margin-top: -50px;float:right;margin-right: 10%;">
          <ion-button id="click-trigger"><ion-icon name="library-outline"></ion-icon></ion-button>
          <ion-popover trigger="click-trigger" triggerAction="click">
            <ng-template>
              <ion-content style="width: 100%;">
                <ion-list>
                <div *ngFor="let project of canceledProjects">
                  <ion-card class="ion-padding">
                    <ion-card-header>
                      <ion-card-title style="font-size: smaller;margin-right: 10%;">{{project.projectname}}</ion-card-title>
                    </ion-card-header>
                    <a style="color:red;margin-left: 10%;font-size: x-small;">{{canceled}}</a>
                  </ion-card>
                </div>
              </ion-list>
              </ion-content>
            </ng-template>
          </ion-popover>
        </ion-buttons>

<!--         <ion-searchbar animated="true" show-cancel-button="focus" placeholder="{{search}}" [(ngModel)]="filterTerm"
          debounce="100" animated>
        </ion-searchbar>
 -->
        <ng-container *ngIf="errors" style="text-align: center;">
          <ion-title><p>{{error}}</p>
            <ion-button (click)=" this.reload();" >{{errortext}}</ion-button>
          </ion-title>

        </ng-container>
        <ng-container *ngIf="preload">
          <ion-row style="text-align: center;">
            <ion-col><h6 class="{{link1css}}">Todos</h6></ion-col>
            <ion-col><h6 class="{{link2css}}">Activos</h6></ion-col>
            <ion-col><h6 class="{{link3css}}">Acabados</h6></ion-col>
          </ion-row>
          <ion-card #ListItem>
            <!-- <img src="http://smartvisuand.com/wp-content/uploads/2022/02/Copia-de-RENDER-1-scaled.jpg" /> -->
            <ion-card-header>
              <ion-card-title style="font-size: medium;margin-right: 10%;">
                <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
              </ion-card-title>
              <ion-reorder style="float: right;">
                <ion-icon name="layers-outline"></ion-icon>
              </ion-reorder>

              <div>
                <!-- <ion-skeleton-text animated style="width: 20%"></ion-skeleton-text> -->
              </div>
            </ion-card-header>
            <ion-card-content>
              <ion-skeleton-text animated style="width: 20%"></ion-skeleton-text>
            </ion-card-content>
          </ion-card>
          <ion-card #ListItem>
            <!-- <img src="http://smartvisuand.com/wp-content/uploads/2022/02/Copia-de-RENDER-1-scaled.jpg" /> -->
            <ion-card-header>
              <ion-card-title style="font-size: medium;margin-right: 10%;">
                <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
              </ion-card-title>
              <ion-reorder style="float: right;">
                <ion-icon name="layers-outline"></ion-icon>
              </ion-reorder>

              <div>
                <!-- <ion-skeleton-text animated style="width: 20%"></ion-skeleton-text> -->
              </div>
            </ion-card-header>
            <ion-card-content>
              <ion-skeleton-text animated style="width: 20%"></ion-skeleton-text>
            </ion-card-content>
          </ion-card>
          <ion-card #ListItem>
            <!-- <img src="http://smartvisuand.com/wp-content/uploads/2022/02/Copia-de-RENDER-1-scaled.jpg" /> -->
            <ion-card-header>
              <ion-card-title style="font-size: medium;margin-right: 10%;">
                <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
              </ion-card-title>
              <ion-reorder style="float: right;">
                <ion-icon name="layers-outline"></ion-icon>
              </ion-reorder>

              <div>
                <!-- <ion-skeleton-text animated style="width: 20%"></ion-skeleton-text> -->
              </div>
            </ion-card-header>
            <ion-card-content>
              <ion-skeleton-text animated style="width: 20%"></ion-skeleton-text>
            </ion-card-content>
          </ion-card>
          <ion-card #ListItem>
            <!-- <img src="http://smartvisuand.com/wp-content/uploads/2022/02/Copia-de-RENDER-1-scaled.jpg" /> -->
            <ion-card-header>
              <ion-card-title style="font-size: medium;margin-right: 10%;">
                <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
              </ion-card-title>
              <ion-reorder style="float: right;">
                <ion-icon name="layers-outline"></ion-icon>
              </ion-reorder>

              <div>
                <!-- <ion-skeleton-text animated style="width: 20%"></ion-skeleton-text> -->
              </div>
            </ion-card-header>
            <ion-card-content>
              <ion-skeleton-text animated style="width: 20%"></ion-skeleton-text>
            </ion-card-content>
          </ion-card>
        </ng-container>

        <ng-container class="ion-padding" >

          <ion-reorder-group *ngIf='projectsArrayQuery.length > 0;' disabled="false" [editable]="true" (ionItemReorder)="doReorder($event)" >
            <ion-row style="text-align: center;">
              <ion-col (click)="togglelink(1)"><h6 class="{{link1css}}">Todos</h6></ion-col>
              <ion-col (click)="togglelink(2)"><h6 class="{{link2css}}">Activos</h6></ion-col>
              <ion-col (click)="togglelink(3)"><h6 class="{{link3css}}">Acabados</h6></ion-col>
            </ion-row>
            <div *ngFor="let project of projectsArrayQuery | filter:filterTerm">
            <ion-card #ListItem
              (click)="presentprojectModal(project.id, project.projectname, project.description, project.projectstatus,
                                                   project.createdtime, project.cf_954, project.cf_2979, project.cf_5552, project, project.fairsandeventsheaderid)">
              <!-- <img src="http://smartvisuand.com/wp-content/uploads/2022/02/Copia-de-RENDER-1-scaled.jpg" /> -->
              <ion-card-header>
                <ion-card-title style="font-size: medium;margin-right: 10%;">{{project.projectname}}</ion-card-title>
                <ion-reorder style="float: right;">
                  <ion-icon name="layers-outline"></ion-icon>
                </ion-reorder>

                <a [ngSwitch]="project.projectstatus.slice(2)">
                  <div *ngSwitchCase="' Finalizado'">
                    <ion-chip color="success">
                      <ion-label>{{done}}</ion-label>
                    </ion-chip>
                  </div>
                  <div *ngSwitchCase="' Pendiente traspaso'">
                    <ion-chip color="warning">
                      <ion-label>{{inprogress}}</ion-label>

                    </ion-chip>
                  </div>
                  <div *ngSwitchCase="'ncelado'">
                    <ion-chip color="danger">
                      <ion-label>{{canceled}}</ion-label>

                    </ion-chip>
                  </div>
                  <div *ngSwitchCase="' En Produccion'">
                    <ion-chip color="primary">
                      <ion-label>{{inproduction}}</ion-label>

                    </ion-chip>
                  </div>
                  <div *ngSwitchCase="' Entregado'">
                    <ion-chip color="success">
                      <ion-label>{{given}}</ion-label>

                    </ion-chip>
                  </div>
                  <div *ngSwitchDefault>
                    <ion-chip>
                      <ion-label>{{other}}</ion-label>

                    </ion-chip>
                  </div>

                </a>
              </ion-card-header>
            </ion-card>
          </div>
          </ion-reorder-group>
        </ng-container>
        <div  *ngIf="displayEmpty" >
          <ion-row style="text-align: center;">
            <ion-col (click)="togglelink(1)"><h6 class="{{link1css}}">Todos</h6></ion-col>
            <ion-col (click)="togglelink(2)"><h6 class="{{link2css}}">Activos</h6></ion-col>
            <ion-col (click)="togglelink(3)"><h6 class="{{link3css}}">Acabados</h6></ion-col>
          </ion-row>
          <img style="margin-left: 30%;" width="150px" src="./assets/images/empty_page.png"/>
          <h6 class="ion-text-center" style="margin-left: 20%;margin-right: 20%;">No hemos encontrado ningún proyecto.</h6>
        </div>
      </ion-card>
      <p style="text-align:center;margin-bottom: 0px;padding-bottom: 0px;color:#fddd3a;font-size: small;" >AppUri © 2022</p>
    </ion-list>
  </div>
  <br><br><br>
</ion-content>
